Subject: [os2genau_digest] No. 2008
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 6 Oct 2010 00:01:49 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 05 October 2010
 Number  2008
**************************************************

Subjects for today
 
1  Re:  Daylight Savings Time - again! : Peter Moylan <laptop at pmoylan dot org>
2  Re:  Daylight Savings Time - again! : Ian Manners" <deadmail>
3   ECS2.0GA Installation : Glenn Montgomery <glenn at montysplace dot net>
4  Re:  ECS2.0GA Installation : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  ECS2.0GA Installation : Glenn Montgomery <glenn at montysplace dot net>
6  Re:  ECS2.0GA Installation : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  ECS2.0GA Installation : Glenn Montgomery <glenn at montysplace dot net>
8  Re:  ECS2.0GA Installation : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>

**= Email   1 ==========================**

Date:  Tue, 05 Oct 2010 10:25:41 +1100
From:  Peter Moylan <laptop at pmoylan dot org>
Subject:  Re:  Daylight Savings Time - again!

Voytek Eymont wrote:
> <quote who="Ian Manners">
>
>> Hi John,
>>
>>
>>
>>> That got me wondering about where the TZ data was stored.
>>>
>>>
>>> Can anyone remember if TZ strings in CONFIG.SYS are honoured anymore,
>>> or is the time zone stuff now somewhere else (sorry my brain is stuffed
>>> full of other stuff atm)?
>>>
>> I use
>> SET TZ=EST-10EDT,10,1,0,7200,4,1,0,7200,3600
>> For Melbourne on the server. Weasel understands it ok.
>>
>
>
I've probably missed most of this discussion, because I haven't been 
getting mail. I'm away from home for a week, and discovered only today 
that my ISP has started blocking port 25 on my IP address. (But this was 
fixed about an hour ago. I have to say that Westnet technical support is 
generally pretty good.)

Anyway, I need to clarify something. Weasel does not use the TZ string 
directly. Instead, it uses a time zone offset field that's stored in 
OS/2's internal date/time record. I had hoped to talk other software 
developers into doing the same thing, instead of every separate program 
having the overhead of redundantly parsing the TZ string; but this 
happened at a time when OS/2 developers were gradually disappearing.

Unfortunately, IBM never got around to finishing the implementation of 
the "System Clock" object, so the page in the clock settings notebook 
for time zone never got included. As a result, in a default OS/2 
installation the time zone offset is always recorded as zero.

Serenity fixed this, at my urging, so that eCS Clock _does_ correctly 
set that field. Furthermore eCS Clock automatically handles daylight 
saving changes. It worked beautifully in eCS version 1.0. For reasons I 
don't understand, eCS Clock was dropped from eCS 2.0. (And, now that I 
think of it, I forgot to copy eCS Clock over to my main computer's eCS 
2.0 installation.) That means, to the best of my knowledge, that eCS 2.0 
is inferior to 1.0 in terms of handling time changes. In fact I don't 
think 2.0 stores time zone information anywhere.

For people who don't have eCS Clock, I wrote a workaround a few years 
ago, and it still works well. It's a small program called TZSet, 
available from
     http://www.pmoylan dot org/pages/os2/software.html
(It's free, and source is included.) What TZSet does is parse the TZ 
environment string (so you still need to have a correct TZ, including 
the arguments that say when summer time begins and ends) and sets the 
internal date/time record appropriately (and adjusts the clock if it 
sees that there has been a summer time change. At least I think it does. 
I'm writing this on my Windows laptop, and I can't see any way to tell 
Windows that the source code is not a movie clip). The information is 
lost when OS/2 is shut down (a smarter system would have stored it in 
NVRAM), so the workaround for that is to run TZSet from the Startup 
folder or similar.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

The address laptop at pmoylan dot org is also valid, but I don't check
it as often.
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Tue, 05 Oct 2010 11:07:54 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Daylight Savings Time - again!

Hi Peter,

>Anyway, I need to clarify something. Weasel does not use the TZ string 
>directly. Instead, it uses a time zone offset field that's stored in 
>OS/2's internal date/time record. I had hoped to talk other software 
>developers into doing the same thing, instead of every separate program 
>having the overhead of redundantly parsing the TZ string; but this 
>happened at a time when OS/2 developers were gradually disappearing.

I can remember you saying this in the past now that you mention it.

>snip<

>Serenity fixed this, at my urging, so that eCS Clock _does_ correctly 
>set that field. Furthermore eCS Clock automatically handles daylight 
>saving changes. It worked beautifully in eCS version 1.0. For reasons I 
>don't understand, eCS Clock was dropped from eCS 2.0. (And, now that I 
>think of it, I forgot to copy eCS Clock over to my main computer's eCS 
>2.0 installation.) That means, to the best of my knowledge, that eCS 2.0 
>is inferior to 1.0 in terms of handling time changes. In fact I don't 
>think 2.0 stores time zone information anywhere.

Maybe it confused us old timers :o)
They could have left it there anyway, unless there was a problem
with copyright or something.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   3 ==========================**

Date:  Tue, 05 Oct 2010 11:04:01 +1000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:   ECS2.0GA Installation

  Hi all,
Just come back from a wonderful driving holidayJust wondering, as I'm 
finally installing the new 2.0!! Yay! But it's got to the "Install 
Files" bit, and now for the last 1 hour amd 5 minutes it has been 
"Installing the base operating system" with the lovely blue line 
continually going acros the screen. ;-)
Is this normal?
My machine in only a single core AMD but a fast one (can't recall at the 
moment)
Now it's up to 1:08:43
Thanks,
Glenn
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Tue, 05 Oct 2010 12:39:35 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  ECS2.0GA Installation

Hi Glen,

No, not normal !

stop the install, restart and go into the setup right at the start and 
select the option - Modern ACPI - safe mode (or something like that) and 
you should be OK, I think the Install is trying to install SMP support.

Ed.

Glenn Montgomery wrote:
>  Hi all,
> Just come back from a wonderful driving holidayJust wondering, as I'm 
> finally installing the new 2.0!! Yay! But it's got to the "Install 
> Files" bit, and now for the last 1 hour amd 5 minutes it has been 
> "Installing the base operating system" with the lovely blue line 
> continually going acros the screen. ;-)
> Is this normal?
> My machine in only a single core AMD but a fast one (can't recall at 
> the moment)
> Now it's up to 1:08:43
> Thanks,
> Glenn
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Tue, 05 Oct 2010 13:49:32 +1000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:  Re:  ECS2.0GA Installation

  Thanks Ed, I just used the default install. The choice is modern 
hardware with ACPI mode, or modern hardware, safe mode. It seems the 
safe mode option may have been the default, so i'll use the ACPI.
Thanks,
Glenn

On 5/10/2010 11:39 AM, Ed Durrant wrote:
> Hi Glen,
>
> No, not normal !
>
> stop the install, restart and go into the setup right at the start and 
> select the option - Modern ACPI - safe mode (or something like that) 
> and you should be OK, I think the Install is trying to install SMP 
> support.
>
> Ed.
>
> Glenn Montgomery wrote:
>>  Hi all,
>> Just come back from a wonderful driving holidayJust wondering, as I'm 
>> finally installing the new 2.0!! Yay! But it's got to the "Install 
>> Files" bit, and now for the last 1 hour amd 5 minutes it has been 
>> "Installing the base operating system" with the lovely blue line 
>> continually going acros the screen. ;-)
>> Is this normal?
>> My machine in only a single core AMD but a fast one (can't recall at 
>> the moment)
>> Now it's up to 1:08:43
>> Thanks,
>> Glenn
>> --------------------------------------------------
>> 
>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
>>
>
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Tue, 05 Oct 2010 15:18:13 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  ECS2.0GA Installation

Yes try Modern with ACPI and if that doesn't work there's a legacy mode 
as well as a last resort - you can add back in the drivers for the 
faster modes if you wish after the instal is finished, it's a matter of 
getting the Install through first of all.

the detection logic seems to have issues still with AMD (Intel seems to 
have far less problems), I know as my systems in the main are AMD based.

Cheers/2

Ed.

Glenn Montgomery wrote:
>  Thanks Ed, I just used the default install. The choice is modern 
> hardware with ACPI mode, or modern hardware, safe mode. It seems the 
> safe mode option may have been the default, so i'll use the ACPI.
> Thanks,
> Glenn
>
> On 5/10/2010 11:39 AM, Ed Durrant wrote:
>> Hi Glen,
>>
>> No, not normal !
>>
>> stop the install, restart and go into the setup right at the start 
>> and select the option - Modern ACPI - safe mode (or something like 
>> that) and you should be OK, I think the Install is trying to install 
>> SMP support.
>>
>> Ed.
>>
>> Glenn Montgomery wrote:
>>>  Hi all,
>>> Just come back from a wonderful driving holidayJust wondering, as 
>>> I'm finally installing the new 2.0!! Yay! But it's got to the 
>>> "Install Files" bit, and now for the last 1 hour amd 5 minutes it 
>>> has been "Installing the base operating system" with the lovely blue 
>>> line continually going acros the screen. ;-)
>>> Is this normal?
>>> My machine in only a single core AMD but a fast one (can't recall at 
>>> the moment)
>>> Now it's up to 1:08:43
>>> Thanks,
>>> Glenn
>>> --------------------------------------------------
>>> 
>>> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>>>
>>
>>
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Tue, 05 Oct 2010 15:25:49 +1000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:  Re:  ECS2.0GA Installation

  Thanks again Ed, I'll let you know how it goes.
Glenn

On 5/10/2010 2:18 PM, Ed Durrant wrote:
> Yes try Modern with ACPI and if that doesn't work there's a legacy 
> mode as well as a last resort - you can add back in the drivers for 
> the faster modes if you wish after the instal is finished, it's a 
> matter of getting the Install through first of all.
>
> the detection logic seems to have issues still with AMD (Intel seems 
> to have far less problems), I know as my systems in the main are AMD 
> based.
>
> Cheers/2
>
> Ed.
>
> Glenn Montgomery wrote:
>>  Thanks Ed, I just used the default install. The choice is modern 
>> hardware with ACPI mode, or modern hardware, safe mode. It seems the 
>> safe mode option may have been the default, so i'll use the ACPI.
>> Thanks,
>> Glenn
>>
>> On 5/10/2010 11:39 AM, Ed Durrant wrote:
>>> Hi Glen,
>>>
>>> No, not normal !
>>>
>>> stop the install, restart and go into the setup right at the start 
>>> and select the option - Modern ACPI - safe mode (or something like 
>>> that) and you should be OK, I think the Install is trying to install 
>>> SMP support.
>>>
>>> Ed.
>>>
>>> Glenn Montgomery wrote:
>>>>  Hi all,
>>>> Just come back from a wonderful driving holidayJust wondering, as 
>>>> I'm finally installing the new 2.0!! Yay! But it's got to the 
>>>> "Install Files" bit, and now for the last 1 hour amd 5 minutes it 
>>>> has been "Installing the base operating system" with the lovely 
>>>> blue line continually going acros the screen. ;-)
>>>> Is this normal?
>>>> My machine in only a single core AMD but a fast one (can't recall 
>>>> at the moment)
>>>> Now it's up to 1:08:43
>>>> Thanks,
>>>> Glenn
>>>> --------------------------------------------------
>>>> 
>>>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
>>>>
>>>
>>>
>> --------------------------------------------------
>> 
>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
>>
>
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   8 ==========================**

Date:  Tue, 05 Oct 2010 11:25:29 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  ECS2.0GA Installation

Ed Durrant ha scritto:
> Hi Glen,
>
> No, not normal !
>
> stop the install, restart and go into the setup right at the start and 
> select the option - Modern ACPI - safe mode (or something like that) 
> and you should be OK,

Sure, as afaik "safe mode" means no ACPI or at least no ACPI 
functionality at all.

-- 
Groeten uit Gent,

   Kris

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===